Subject: Re: Writing /dev/ devices
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 17 May 2001 13:43:42 -0400

On Thu, May 17, 2001 at 11:36:45AM +0200, Florian 'Proff' Schulze wrote:
>> > is it possible to write /dev devices for cygwin like /dev/cpuinfo
>> > etc? If that's the case, where can I find infos on how to do that?
>>
>> In the cygwin sources, read src/winsup/doc/fhandler-tut.txt
>
>Thanks, that already helped me.
>
>More questions:
>Why can't I see the devices with ls like in Linux?

It's not implemented.

>It seems like /dev/tty is implemented, but when I try to use it, it can't be
>found.

"Can't be found" is not a useful bug report.

>Where can I find more information on /dev in general and how it's done in
>cygwin?

The sources.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple